commit 18770404b58909ea1ac57c40f55c3516c396118e
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Thu Jan 15 01:19:31 2026

    Daily bump.

diff --git a/contrib/ChangeLog b/contrib/ChangeLog
index b34f89adf6e..6625f06a30b 100644
--- a/contrib/ChangeLog
+++ b/contrib/ChangeLog
@@ -1,3 +1,11 @@
+2026-01-14  David Malcolm  <dmalcolm@redhat.com>
+
+	Backported from master:
+	2025-07-28  David Malcolm  <dmalcolm@redhat.com>
+
+	* gcc-changelog/git_commit.py: Add "diagnostics" to bug
+	components.
+
 2025-08-08  Release Manager
 
 	* GCC 15.2.0 released.
diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 69dbb61b6a7..6285c3d0dfa 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,11 @@
+2026-01-14  David Malcolm  <dmalcolm@redhat.com>
+
+	PR diagnostics/120063
+	* diagnostic-format-sarif.cc (maybe_get_sarif_level): Handle
+	DK_FATAL as SARIF level "error".
+	* diagnostic.cc (diagnostic_context::execution_failed_p): Also
+	treat any DK_FATAL errors as leading to failed execution.
+
 2026-01-13  Andrew MacLeod  <amacleod@redhat.com>
 
 	PR tree-optimization/123300
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index fe40f308fc8..f3da546535c 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20260114
+20260115
diff --git a/gcc/analyzer/ChangeLog b/gcc/analyzer/ChangeLog
index 7c80a2a0222..85ea932e429 100644
--- a/gcc/analyzer/ChangeLog
+++ b/gcc/analyzer/ChangeLog
@@ -1,3 +1,21 @@
+2026-01-14  David Malcolm  <dmalcolm@redhat.com>
+
+	Backported from master:
+	2025-12-15  David Malcolm  <dmalcolm@redhat.com>
+
+	PR analyzer/123085
+	* region-model.cc (region_model::scan_for_null_terminator_1): Use
+	byte offset when accessing string constant.
+
+2026-01-14  David Malcolm  <dmalcolm@redhat.com>
+
+	Backported from master:
+	2025-12-15  David Malcolm  <dmalcolm@redhat.com>
+
+	PR analyzer/122975
+	* region-model-manager.cc (region_model_manager::maybe_fold_binop): Fold
+	X + (-X) to zero.
+
 2025-08-08  Release Manager
 
 	* GCC 15.2.0 released.
diff --git a/gcc/cp/ChangeLog b/gcc/cp/ChangeLog
index 162bd8d4100..cc9e656e506 100644
--- a/gcc/cp/ChangeLog
+++ b/gcc/cp/ChangeLog
@@ -1,3 +1,14 @@
+2026-01-14  David Malcolm  <dmalcolm@redhat.com>
+
+	Backported from master:
+	2025-09-17  David Malcolm  <dmalcolm@redhat.com>
+
+	PR c++/121966
+	* call.cc (print_z_candidates): Copy the filtering logic on viable
+	candidates from the printing loop to the counting loop, so that
+	num_candidates matches the number of iterations of the latter
+	loop.
+
 2026-01-09  Eczbek  <eczbek.void@gmail.com>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 167e87362f9..d41165375a1 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,35 @@
+2026-01-14  David Malcolm  <dmalcolm@redhat.com>
+
+	Backported from master:
+	2025-12-15  David Malcolm  <dmalcolm@redhat.com>
+
+	PR analyzer/123085
+	* c-c++-common/analyzer/strlen-pr123085.c: New test.
+
+2026-01-14  David Malcolm  <dmalcolm@redhat.com>
+
+	Backported from master:
+	2025-12-15  David Malcolm  <dmalcolm@redhat.com>
+
+	PR analyzer/122975
+	* c-c++-common/analyzer/arith-1.c: New test.
+	* c-c++-common/analyzer/infinite-recursion-pr122975.c: New test.
+
+2026-01-14  David Malcolm  <dmalcolm@redhat.com>
+
+	PR diagnostics/120063
+	* gcc.dg/fatal-error.c: New test.
+	* gcc.dg/fatal-error-sarif.py: New test.
+
+2026-01-14  David Malcolm  <dmalcolm@redhat.com>
+
+	* gcc.dg/plugin/crash-test-write-though-null-sarif.c: Rename to...
+	* gcc.dg/plugin/crash-test-write-through-null-sarif.c: ...this.
+	* gcc.dg/plugin/crash-test-write-though-null-stderr.c: Rename to...
+	* gcc.dg/plugin/crash-test-write-through-null-stderr.c: ...this.
+	* gcc.dg/plugin/plugin.exp: Update for above renamings.  Sort the
+	test files for crash_test_plugin.cc alphabetically.
+
 2026-01-13  Andrew MacLeod  <amacleod@redhat.com>
 
 	PR tree-optimization/123300

